Subject: Re: [PATCH] Windows: Do not redefine _WIN32_WINNT

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Sep 2013 11:29:14 -0700

Sebastian Schuberth <[email-masked]> writes:

> diff --git a/git-compat-util.h b/git-compat-util.h
> index 664305c..f5c756d 100644
> --- a/git-compat-util.h
> +++ b/git-compat-util.h
> @@ -93,7 +93,9 @@
>  #undef __NO_INLINE__
>  
>  #ifdef WIN32 /* Both MinGW and MSVC */
> +#ifndef _WIN32_WINNT
>  #define _WIN32_WINNT 0x0502
> +#endif
>  #define WIN32_LEAN_AND_MEAN  /* stops windows.h including winsock.h */
>  #include <winsock2.h>
>  #include <windows.h>

This unfortunately does not seem to match what I have. I think the
patch is based on the codebase before these two:

 380395d0 (mingw: rename WIN32 cpp macro to GIT_WINDOWS_NATIVE, 2013-05-02)
 41f29991 (msvc: Fix compilation errors caused by poll.h emulation, 2013-01-31)

I could of course wiggle it in, if you want, but I wanted to know
what is going on.  Is it a pre-release freeze period on your side or
something?